# Note 1: EPEL7 packaging is not yet possible due missing
# python-django-formtools in EPEL7 stable repository.
# See https://bugzilla.redhat.com/show_bug.cgi?id=1387376

# Note 2: for > 1.0.3 versions: it should be possible to remove Patch0
%global pypi_name jsonfield

Name:           python-django-%{pypi_name}
Version:        1.0.3
Release:        5%{?dist}
Summary:        A reusable Django field that allows you to store validated JSON in your model

License:        BSD
URL:            https://github.com/bradjasper/django-jsonfield
Source0:        https://files.pythonhosted.org/packages/source/%(n=%{pypi_name}; echo ${n:0:1})/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/bradjasper/django-jsonfield/master/LICENSE
# for Patch0 info check https://github.com/bradjasper/django-jsonfield/issues/169
Patch0:         test.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-django
BuildRequires:  python2-setuptools
BuildRequires:  python2-django-formtools
# for testing purposes
BuildRequires:  sqlite
BuildRequires:  python3-django
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-django-formtools

%description
django-jsonfield is a reusable Django field that allows you to store validated
JSON in your model. It silently takes care of serialization. To use, simply
add the field to one of your models.

%package -n python2-django-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
Requires:  python2-django
Requires:  python2-django-formtools
%description -n python2-django-%{pypi_name}
django-jsonfield is a reusable Django field that allows you to store validated
JSON in your model. It silently takes care of serialization. To use, simply
add the field to one of your models..

%package -n python3-django-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:  python3-django
Requires:  python3-django-formtools
%description -n python3-django-%{pypi_name}
django-jsonfield is a reusable Django field that allows you to store validated
JSON in your model. It silently takes care of serialization. To use, simply
add the field to one of your models.

%prep
%setup -q -n %{pypi_name}-%{version}
cp %{SOURCE1} .
%patch0 -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
sqlite3 FILETEMP
export DB_ENGINE=sqlite3
export DB_NAME="mydb"
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-django-%{pypi_name}
%license LICENSE
%doc README.rst
%{python2_sitelib}/*

%files -n python3-django-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/*

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 07 2017 Caterpillar <germano.massullo@gmail.com> - 1.0.3-3
- rebuilt

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0.3-2
- Rebuild for Python 3.6

* Wed Aug 10 2016 Germano Massullo <germano.massullo@gmail.com> - 1.0.3-1
- First commit on Fedora's Git
